# Returns Feature Flags in a Target Group

Returns the details of a Feature Flag in a Target Group for the given identifier

Endpoint: GET /cf/admin/segments/{identifier}/flags
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier

  - `orgIdentifier` (string, required)
    Organization Identifier

  - `projectIdentifier` (string, required)
    The Project identifier

  - `environmentIdentifier` (string, required)
    Environment Identifier

## Path parameters:

  - `identifier` (string, required)
    Unique identifier for the object in the API.

## Response 200 fields (application/json):

  - `description` (string)
    A description of the feature flag

  - `environment` (string, required)
    The environment identifier for the feature flag

  - `identifier` (string, required)
    The identifier of the feature flag
    Example: "simple-bool"

  - `name` (string, required)
    The name of the feature flag
    Example: "Simple Bool"

  - `project` (string, required)
    The project identifier for the feature flag

  - `ruleId` (string)
    The unique identifier for this rule

  - `type` (string, required)
    How the the flag has been included, either directly or via a custom rule
    Enum: "DIRECT", "CONDITION"

  - `variation` (string, required)
    The identifier for the variation of the flag that should be served to members of the group

## Response 401 fields (application/json):

  - `code` (string, required)
    The http error code
    Example: 404

  - `details` (object)
    Additional details about the error

  - `message` (string, required)
    The reason the request failed
    Example: "Error retrieving projects, organization 'default_org' does not exist"


